Firefox browser integration

I"ve sầu just updated FireFox to lớn its newest version and IDM integration inlớn FireFox stopped working. IDM does not take over downloads from FireFox anymore. What can I vì chưng to fix it?FireFox said it had disabled the IDM extension because it wasn"t compatible. How vị I resolve sầu the problem?I cannot integrate IDM into FireFox 73, FireFox 72, FireFox 71 (FireFox 70, 69, 68, 67, 66, 65, ..., 11, 10, 9, 8). What should I do?

1.

You watching: Firefox browser integration

Mozilla team updates FireFox browser every six weeks, that"s why our team also updates IDM"s integration inkhổng lồ FireFox every six weeks as well.The lakiểm tra version of IDM determines the version of FireFox browser, and it will install a required add-on version automatically.

Please make sure that you have sầu installed the latest version of IDM.

*

Please use "Help→Cheông xã for updates..." (or "Help→Quiông xã Updates" for old versions) IDM main thực đơn thắng lợi. Then please restart your computer.IDM needs to lớn replace all its DLL files for changes to take effect. Without restarting update will not work!

2. Starting from FireFox 8 Mozilla shows a confirmation dialog to lớn install add-ons. After first installation of IDM, or after updating IDM to the version with the lademo add-on, IDM will ask khổng lồ restart FireFoxso that FireFox can find a new IDM add-on. When FireFox restarts, it shows the following dialog lớn confirm the installation of IDM add-on. You need to enable "Allow this installation" check box:

*

Maybe you did not pay attention to this dialog during FireFox restart và did not enable "IDM integration" add-on. In such case you need khổng lồ enable it manually. Please use "Tools→Add-ons" FireFox main menu thành phầm.

"Add-ons Manager" window should open. Cliông chồng on "Extensions" tab (arrow1 on the image) và find "IDM integration" (Internet Download Manager integrationadd-on for Mozilla). If it is disabled, you will need to lớn press "Enable" (arrow2 on the image) & restart FireFox.

*

3. New and old versions of IDM extensions


3.1. Please note that because of global changes in FireFox 40 we had lớn make a new add-on for FireFox with a new ID.The old version of add-on had "IDM CC" name, while the new version has "IDM Integration" name.

Also please note that because of global changes in FireFox 53 we had to lớn make a new "IDM Integration module" add-on for FireFox.

At present time the oldest add-on is "IDM CC" và it supports FireFox browser from version 1.5 to version 26 inclusively.

See more: Thế Nào Là Quang Hợp? Ý Nghĩa Của Quá Trình Quang Hợp ? Vai Trò Của Quá Trình Quang Hợp Ở Thực Vật

The next add-on is "IDM integration", it supports FireFox browsers from version 27 to lớn version 52 inclusively.

And the lakiểm tra add-on is "IDM Integration module". It supports FireFox browsers from version 53 inclusively.

lưu ý that IDM distribution has all three versions of add-ons inside of it, and it"s possible that in FireFox settings in the danh mục of add-ons you may see two or three IDM add-ons: the old ones and the new one.

*

3.2. If you installed our old "IDM CC" add-on manually, then you should press "Remove" button next khổng lồ it:

*

3.3. If our add-on is not available in FireFox, you can install it manually. Open FireFox menu và press "Add-ons", see actions (1)(2) on the picture below.

Press on "Tools for all add-ons" cogwheel (3), and piông chồng "Install Add-on from File..." (4) menu item in the thực đơn.

*

Then open IDM folder where you installed IDM ("C:Program Files (x86)Internet Download Manager" by default).

*

Here you have 3 XPI files. They have the same name, but a different number at the end. Please look carefully at the following:

Select idmmzcc3.xpi for FireFox 53 và newer versions.Select idmmzcc2.xpi for FireFox browsers from version 27 lớn version 52 inclusively.Select idmmzcc.xpi (without a number) for FireFox versions from 1.5 to lớn 26.

See more: Download Microsoft Project 2003 Professional Full Key Bản Quyền

If you selected the right version, the FireFox would show a dialog confirming thiết đặt. Press on "Install" button:

*

If you selected an incorrect version of XPI tệp tin, FireFox would show an error message.